(function() {
  var $form;

  $form = $('#form-media');

  $('.btn-refresh').on('click', function(e) {
    var $parent, $this, id;
    e.preventDefault();
    $this = $(this);
    id = $this.data('id');
    $parent = $this.parent().parent();
    $this.find('.btn-text').text('Atualizando...');
    return $.ajax({
      type: 'post',
      url: $form.prop('action') + '/' + id,
      data: {
        '_method': 'put',
        'legend': $parent.find('input[name="legend"]').val(),
        'credits': $parent.find('input[name="credits"]').val()
      },
      success: function() {
        return $this.find('.btn-text').text('Atualizar');
      }
    });
  });

  $('.thumbnails').sortable({
    update: function(e, ui) {
      var $thumbs, order;
      order = 0;
      $thumbs = $('[data-media]');
      return $thumbs.each(function(e) {
        var $this, id;
        $this = $(this);
        id = $this.data('id');
        order++;
        return $.post($form.prop('action') + '/' + id + '/order', {
          '_method': 'put',
          'order': order
        });
      });
    }
  });

  $('#form-media').validate({
    rules: {
      'files': {
        required: true
      }
    },
    submitHandler: function(form) {
      $(form).find('[data-loading-text]').prop('disabled', true).button('loading').val('Enviando fotos...');
      form.submit();
    }
  });

}).call(this);
