<?php namespace EscapeWork\Manager\Medias\Repositories\MediaModelSize;

use EscapeWork\Manager\Repositories\BaseEloquentRepository;
use EscapeWork\Manager\Medias\Models\MediaModelSize;
use EscapeWork\Manager\Medias\Upload;

class EloquentMediaModelSizeRepository extends BaseEloquentRepository implements MediaModelSizeRepository
{

    public function __construct(MediaModelSize $model)
    {
        $this->model = $model;
    }

    public function getByMediaModel($media_model_id)
    {
        return $this->model->where('media_model_id', '=', $media_model_id)->get();
    }
}
