@extends(Config::get('manager::views.layouts.master'))

@section('content')
    <ul class="breadcrumb">
        <li><a href="{{ route('manager.home') }}">Home</a> <span class="divider">/</span></li>
        <li><a href="{{ route('manager.midias.models.index') }}">Mídias</a> <span class="divider">/</span></li>
        <li class="active">{{ $edit ? 'Editar' : 'Inserir' }}</li>
    </ul><!-- .breadcrumb -->

    <div class="page-header">
        <div class="pull-left">
            <h2>Mídias <small>Models relacionados</small></h2>
        </div><!-- .pull-left -->

        <div class="pull-right">
            <a href="{{ route('manager.midias.models.index') }}" class="btn">Cancelar</a>
        </div><!-- .pull-right -->

        <div class="clearfix"></div>
    </div><!-- .page-header -->

    {{ Msg::getAll() }}

    <form action="{{ $edit ? route('manager.midias.models.update', $mediaModel->id) : route('manager.midias.models.store') }}" method="post" id="form-media-models" class="form-horizontal">
        @if ($edit)
            <input type="hidden" name="_method" value="put">
        @endif

        <fieldset>
            <div class="control-group">
                <label for="model" class="control-label">Model</label>

                <div class="controls">
                    <input type="text" name="model" id="model" class="input-xxlarge" value="{{ $mediaModel->model }}" autofocus />
                </div><!-- .controls -->
            </div><!-- .control-group -->

            <div class="form-actions">
                <input type="submit" class="btn btn-primary" value="Salvar" />
            </div><!-- .form-actions -->
        </fieldset>
    </form>
@stop
