## escapework/manager-medias

Módulo de cadastramento de banners para integração com o escapework/manager.

## Instalação

Adiciona os seguintes itens no seu `composer.json` e execute um `composer update`:

```json
{
    "require": {
        "escapework/manager-medias": "0.8.*"
    },

    "repositories": [
        {
            "type": "git",
            "url": "git@bitbucket.org:escapecria/manager-medias.git"
        }
    ]
}
```

### ServiceProvider

Adicione a linha `'EscapeWork\Manager\Medias\Providers\MediaServiceProvider'` no array de Service Providers no arquivo `app/config/app.php`.

### Configurações

Execute o comando abaixo para configurar o pacote:

```sh
$ php artisan manager:configure
```

### Todo

* Testes unitários
